Page MenuHomePhabricator

elementary_test: Add the value provider test for animation_view
ClosedPublic

Authored by jsuya on Sep 18 2019, 10:32 PM.

Details

Summary

Add an Value Provider item to test vector animation on elementary_test.
This test is to apply Efl.Gfx.Vg.Value_Provider to the loaded efl_ui_animation object.
If Evas Vg Json(Lottie) Loader is not supported,
use the vector class to output the svg file.

Depends on D9874
Depends on D9897

Test Plan

elementary_test -> Value Provider

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jsuya requested review of this revision.Sep 18 2019, 10:32 PM
jsuya created this revision.
jsuya updated this revision to Diff 25162.Sep 18 2019, 10:35 PM

update revision

jsuya updated this revision to Diff 25323.Sep 22 2019, 10:33 PM

update commit

jsuya updated this revision to Diff 25325.Sep 22 2019, 11:10 PM

Add Todo comment

Hermet accepted this revision.Sep 26 2019, 3:56 AM

Please apply this after 1.23 release

This revision is now accepted and ready to land.Sep 26 2019, 3:56 AM
jsuya updated this revision to Diff 25857.Oct 1 2019, 10:39 PM

add header for build fail

This revision was automatically updated to reflect the committed changes.